Skip to main content
PUT
/
skills
/
{namespace}
/
{slug}
JavaScript
import Smithery from '@smithery/api';

const client = new Smithery({
  apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});

const response = await client.skills.set('slug', {
  namespace: 'namespace',
  body: {},
});

console.log(response.id);
{
  "id": "<string>",
  "namespace": "<string>",
  "slug": "<string>",
  "displayName": "<string>",
  "description": "<string>",
  "gitUrl": "<string>",
  "externalStars": 123,
  "listed": true,
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Smithery API key as Bearer token

Path Parameters

namespace
string
required
slug
string
required

Body

application/json

The body is of type any.

Response

Skill updated successfully

id
string
required
namespace
string
required
slug
string
required
displayName
string
required
description
string
required
gitUrl
string | null
required
externalStars
number
required
listed
boolean
required
createdAt
string
required
updatedAt
string
required